package com.clx.performance.event;

import com.clx.performance.dto.OwnerLoanMqDTO;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

@Getter
@Setter
public class OwnerLoanEvent extends ApplicationEvent {


    private OwnerLoanMqDTO param;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerLoanEvent(Object source) {
        super(source);
    }

    public OwnerLoanEvent(Object source, OwnerLoanMqDTO param) {
        super(source);
        this.param = param;
    }

}
